# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "feedo"
version = "1.1.11"
authors = ["Ricardo Dantas"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A stunning terminal RSS reader - like Reeder, but for your terminal 🐕"
homepage = "https://github.com/ricardodantas/feedo"
readme = "README.md"
keywords = [
    "rss",
    "tui",
    "terminal",
    "reader",
    "feed",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/ricardodantas/feedo"

[lib]
name = "feedo"
path = "src/lib.rs"

[[bin]]
name = "feedo"
path = "src/main.rs"

[dependencies.arboard]
version = "3.6.1"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.color-eyre]
version = "0.6"

[dependencies.crossterm]
version = "0.29"

[dependencies.directories]
version = "6.0"

[dependencies.feed-rs]
version = "2.3"

[dependencies.html-escape]
version = "0.2"

[dependencies.open]
version = "5.3"

[dependencies.quick-xml]
version = "0.39"
features = ["serialize"]

[dependencies.ratatui]
version = "0.30"

[dependencies.regex-lite]
version = "0.1"

[dependencies.reqwest]
version = "0.13"
features = [
    "rustls",
    "charset",
    "form",
    "json",
]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.textwrap]
version = "0.16"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.49"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]

[dependencies.unicode-width]
version = "0.2"

[dependencies.urlencoding]
version = "2.1.3"

[dev-dependencies.tokio-test]
version = "0.4"

[lints.clippy]
all = "warn"
nursery = "warn"
pedantic = "warn"

[lints.rust]
unsafe_code = "forbid"

[profile.dev]
opt-level = 0

[profile.release]
lto = true
codegen-units = 1
panic = "abort"
strip = true
